Bug 29227 - Patron messaging preferences digest show as editable but are not
Summary: Patron messaging preferences digest show as editable but are not
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 13613
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-13 15:40 UTC by Donna
Modified: 2021-11-15 04:38 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12


Attachments
Bug 29227: Patron messaging preferences digest show as editable but are not (1.62 KB, patch)
2021-10-14 12:07 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29227: Patron messaging preferences digest show as editable but are not (1.67 KB, patch)
2021-10-15 08:28 UTC, David Nind
Details | Diff | Splinter Review
Bug 29227: Patron messaging preferences digest show as editable but are not (1.72 KB, patch)
2021-10-24 11:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2021-10-13 15:40:28 UTC
Go to members/moremember.pl for a patron who has messaging preferences set.  

Notice in the messaging preferences that the digest column displays as active (showing either the blue checkmark or a white box).

Click on one of the digests and see that you can change it (which is bad).

Navigate away from the page, return to it, and see that changes are not reflected (which is good)

This column should not be active/appear to be editable from this screen - it should only be editable through the modification screens like the rest of the preferences in the table.
Comment 1 Nick Clemens 2021-10-14 12:07:14 UTC
Created attachment 126275 [details] [review]
Bug 29227: Patron messaging preferences digest show as editable but are not

On moremember.pl we load the messaging preferences for display only, we do
not need to load the JS for editing the preferences

To test:
0 - Enable EnhancedMessagingPreferences
1 - Load the detais tab for a member
2 - Note the digest column in messaging preferences is clickable
3 - Apply patch
4 - Reload, it is not clickable
5 - Confirm editing the patron (or their messaging prefs) works as expected
Comment 2 David Nind 2021-10-15 08:28:29 UTC
Created attachment 126310 [details] [review]
Bug 29227: Patron messaging preferences digest show as editable but are not

On moremember.pl we load the messaging preferences for display only, we do
not need to load the JS for editing the preferences

To test:
0 - Enable EnhancedMessagingPreferences
1 - Load the detais tab for a member
2 - Note the digest column in messaging preferences is clickable
3 - Apply patch
4 - Reload, it is not clickable
5 - Confirm editing the patron (or their messaging prefs) works as expected

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-10-24 11:05:35 UTC
Created attachment 126803 [details] [review]
Bug 29227: Patron messaging preferences digest show as editable but are not

On moremember.pl we load the messaging preferences for display only, we do
not need to load the JS for editing the preferences

To test:
0 - Enable EnhancedMessagingPreferences
1 - Load the detais tab for a member
2 - Note the digest column in messaging preferences is clickable
3 - Apply patch
4 - Reload, it is not clickable
5 - Confirm editing the patron (or their messaging prefs) works as expected

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-25 13:58:55 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-29 13:40:48 UTC
Pushed to 21.05.x for 21.05.05
Comment 6 Fridolin Somers 2021-11-10 23:37:16 UTC
Pushed to 20.11.x for 20.11.12
Comment 7 Victor Grousset/tuxayo 2021-11-15 04:38:55 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.